## cargo 0.29.0

=== debian/changelog ===
cargo (0.29.0-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport 0.29.0 to bionic
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 16 Aug 2018 08:49:21 +0100

cargo (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Aug 2018 17:10:23 +0100

cargo (0.29.0-1) unstable; urgency=medium

  * Merge changes of 0.28.0-2, which was missed in first release of 0.29.0
  * Upload to unstable.
  * Refresh patch for `install --target` feature for release 0.29.0

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 13 Aug 2018 20:37:13 +0530

cargo (0.29.0-1~exp1) experimental; urgency=medium
  [ upstream ]
  * Cargo will now no longer allow you to publish crates with build
    scripts that modify the src directory. The src directory in a crate
    should be considered to be immutable.

  [ Vasudev Kamath ]
  * Update unsuspicious text for new release 0.29.0
  * Change pattern for embedded zlib
  * debian/patches:
    + Refresh patches 2001, 2002, 2003, 2004 to work with new release and
      new vendor files.
    + Add patch 1001 to fix deprecated warnings on usage of "casues" from
      failure crate,
  * Update copyright information for new release.
  * Make package compliant with policy 4.2.0.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 12 Aug 2018 22:25:42 +0530

cargo (0.28.0-2) unstable; urgency=medium

  * Re-add `install --target` functionality, needed by dh-cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Aug 2018 00:15:23 -0700

cargo (0.28.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:14:46 +0530

cargo (0.28.0-1~exp3) experimental; urgency=medium

  * Disable incremental compilation tests on sparc64 architecture.
    Closes: bug#905623, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 07 Aug 2018 22:01:31 +0530

cargo (0.28.0-1~exp2) experimental; urgency=medium

  * Add patch 2005 to disable fetch_platform_specific_dependencies unit
    tests. Upstream issue #5864.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 05 Aug 2018 17:17:00 +0530

cargo (0.28.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * cargo-metadata now includes authors, categories, keywords, readme, and
    repository fields.
  * cargo-metadata now includes a package's metadata table.
  * Added the --target-dir optional argument. This allows you to specify a
    different directory than target for placing compilation artifacts.
  * Cargo will be adding automatic target inference for binaries,
    benchmarks, examples, and tests in the Rust 2018 edition. If your
    project specifies specific targets e.g. using [[bin]] and have other
    binaries in locations where cargo would infer a binary, Cargo will
    produce a warning. You can disable this feature ahead of time by
    setting any of the following autobins, autobenches, autoexamples,
    autotests to false.
  * Cargo will now cache compiler information. This can be disabled by
    setting CARGO_CACHE_RUSTC_INFO=0 in your environment.

  [ Sylvestre Ledru ]
  * Update of the alioth ML address.

  [ Vasudev Kamath ]
  * Update README.source to mention preferred way of upload.
  * Update unsuspicious files for new release.
  * debian/patches:
    + Refresh patch 2007 for new release.
    + Refresh patch 2001 for new version of libgit2-sys
    + Drop patch 2008 as its merged upstream.
    + Add patch 2003 for forcing use of libssh2 from system, which was now
      controlled by environment variable.
  * debian/copyright:
    + Update copyright information for new release.
  * Mark package compliance with Debian Policy 4.1.5.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 29 Jul 2018 22:07:36 +0530

cargo (0.28.0-0ubuntu3) cosmic; urgency=medium

  * Update to 0.28.0
  * Refresh patches
    - update debian/patches/2007_sparc64_disable_incremental_build.patch
    - update debian/patches/2001_use-system-libgit2.patch
    - update debian/patches/2008_support-cross-compile-install.patch
  * Disable fetch tests on non x86/x86-64 architectures, as those hit an
    unreachable!() in test code
    - add debian/patches/disable-fetch-tests-on-non-x86.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jul 2018 19:20:26 +0100

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
# TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
# the non-native lines can be deleted after all versions in unstable are M-A: allowed
               cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
               cargo:native    (>= 0.17.0) <!pkg.cargo.mkstage0>,
               rustc:native    (>= 1.16),
               libstd-rust-dev (>= 1.16),
               pkg-config,
               cmake,
               bash-completion,
               python3:native,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
# The libgit2 build depends on at least 1.6.0 for libssh2_userauth_publickey_frommemory
               libssh2-1-dev (>= 1.6.0),
# Avoid a dependency on a libgit version that isn't in Ubuntu yet
#               libgit2-dev (>= 0.27.0),
               libhttp-parser-dev,
               libssl-dev,
               zlib1g-dev,
               git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

# For cross-compiling; perhaps we should add this to dh-cargo or debcargo
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
export PKG_CONFIG_ALLOW_CROSS = 1
# Needed because of https://github.com/rust-lang/cargo/issues/4133
RUSTFLAGS += -C linker=$(DEB_HOST_GNU_TYPE)-gcc
# TODO: we cannot enable this until dh_shlibdeps works correctly; atm we get:
# dpkg-shlibdeps: warning: can't extract name and version from library name 'libstd-XXXXXXXX.so'
# and the resulting cargo.deb does not depend on the correct version of libstd-rust-1.XX
# We probably need to add override_dh_makeshlibs to d/rules of rustc
#RUSTFLAGS += -C prefer-dynamic

# Pass on dpkg-buildflags stuff
RUSTFLAGS += $(foreach flag,$(LDFLAGS),-C link-arg=$(flag))
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS RUSTFLAGS

CARGO = RUST_BACKTRACE=1 cargo
CARGOFLAGS = --release --target=$(DEB_HOST_RUST_TYPE) --verbose
# Cargo looks for config in and writes cache to $CARGO_HOME/
export CARGO_HOME = $(CURDIR)/debian/cargohome

# Work around #865549, needed when using older cargo that is affected by it.
# TODO: remove after cargo/unstable is a version that was compiled with rustc
# >= 1.18 where this bug was fixed in Debian (i.e. probably after 0.20).
ifeq (0,$(shell test $$(uname -s) = "Linux" -a $$(getconf PAGESIZE) -gt 4096; echo $$?))
  SYSTEM_WORKAROUNDS += ulimit -s $$(expr $$(getconf PAGESIZE) / 1024 '*' 256 + 8192);
endif

# Disable tests on powerpc and powerpcspe for now.
# cbmuser requested this and will fix the errors later
# TODO: once powerpc powerpcspe test failures are fixed drop this
ifeq ($(DEB_HOST_ARCH), powerpc)
	DEB_BUILD_PROFILES = nocheck
endif

ifeq ($(DEB_HOST_ARCH), powerpcspe)
	DEB_BUILD_PROFILES = nocheck
endif

HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --with bash-completion

override_dh_auto_configure:
	# cp -a $(CURDIR)/Cargo.lock $(CURDIR)/.Cargo.lock.orig
ifneq (0,$(HAVE_BOOTSTRAP_BINARY))
	ln -s $(CURDIR)/debian/bootstrap/$(DEB_HOST_RUST_TYPE)/cargo $(CURDIR)/cargo-stage0
else
	ln -sf `which cargo` $(CURDIR)/cargo-stage0
endif
	debian/scripts/prune-checksums vendor/backtrace-sys-*/
# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
#	debian/scripts/prune-checksums vendor/libgit2-sys-*/
	cp -a debian/libgit2 vendor/libgit2-sys-0.7.7/

override_dh_auto_build-arch:
	$(CARGO) build $(CARGOFLAGS)

override_dh_auto_build-indep:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(CARGO) doc $(CARGOFLAGS)
	# Extra instructions from README.md, unfortunately not done by "cargo doc"
	# sh src/ci/dox.sh
	# Post-processing for Debian
	cd target/doc/ && rm -f jquery.js && ln -s /usr/share/javascript/jquery/jquery.js
endif

RUN_TESTS = \
	if $(1); then \
	  : ; \
	elif [ $(DEB_HOST_ARCH) != "s390x" ]; then \
	  false; \
	else \
	  echo "======================================================"; \
	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
	  echo "======================================================"; \
	fi

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGOFLAGS))
endif
endif

override_dh_auto_install:
	# We pick stuff directly from target/

override_dh_auto_clean:
	-mv $(CURDIR)/.Cargo.lock.orig $(CURDIR)/Cargo.lock
	$(CARGO) clean $(CARGOFLAGS)
	-$(RM) -r $(CURDIR)/target/ \
			$(CURDIR)/.cargo \
			$(CURDIR)/config.mk \
			$(CURDIR)/config.stamp \
			$(CURDIR)/Makefile \
			$(CURDIR)/Cargo.lock \
			$(CURDIR)/cargo-stage0
# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
	-$(RM) -rf vendor/libgit2-sys-0.7.7/libgit2

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

CROSS_SBUILD = sbuild --profiles=nocheck \
	  --build-failed-commands '%SBUILD_SHELL' \
	  --host=$(DEB_HOST_ARCH) \
	  --no-arch-all $(EXTRA_SBUILD_FLAGS)

SBUILD_REPO_EXPERIMENTAL = --extra-repository="deb http://httpredir.debian.org/debian experimental main"

# Sometimes this is necessary, if the mirrors have different versions for different architectures
ifeq (1,$(SBUILD_USE_INCOMING))
CROSS_SBUILD += --extra-repository="deb http://incoming.debian.org/debian-buildd buildd-unstable main"
SBUILD_REPO_EXPERIMENTAL += --extra-repository="deb http://incoming.debian.org/debian-buildd buildd-experimental main"
endif

crossbuild:
	$(CROSS_SBUILD) .

crossbuild-experimental:
	$(CROSS_SBUILD) $(SBUILD_REPO_EXPERIMENTAL) --build-dep-resolver=aspcud .

## cargo 0.30.0

=== debian/changelog ===
cargo (0.30.0-1~exp1ubuntu1) cosmic; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/control
      - update debian/rules
      - update debian/make_orig_multi.sh
    - Bump libgit2 dependency to 0.27.0. This is what is bundled in upstream
      checkouts now, and it no longer builds against 0.25.1.0
      - update debian/control
    - Drop the unneeded dependency on libjs-jquery from cargo-doc
      - update debian/control
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Don't disable generate_lockfile.rs:no_index_update, as this test was
      fixed upstream to not clone the real index
      - update debian/patches/2002_disable-net-tests.patch
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Oct 2018 23:19:54 +1300

cargo (0.30.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo can silently fix some bad lockfiles You can use --locked to
    disable this behaviour.
  * cargo-install will now allow you to cross compile an install using
    --target.
  * Added the cargo-fix subcommand to automatically move project code from
    2015 edition to 2018.

  [ Vasudev Kamath ]
  * Refresh patch 2004 for new release.
  * Add openssl crates fuzz,test doc and apps file to unsuspicious list.
  * debian/patches:
    + Drop patch 0774e97da3894f07ed5b6f7db175027a9bc4718b.patch for adding
      cross compile support. Its merged upstream.
    + Refresh patch 2001 to newer version of libgit2-sys.
    + Refresh patch 2003 to newer version of libssh2-sys.
    + Drop patch 1001 which is merged upstream.
    + Refresh patch 2005 and 2007 to remove fuzz.
    + Refresh patch 2002 with newer release.
  * debian/control:
    + Mark package compliance with Debian policy 4.2.1.
  * Update copyright information for new release.
  * debian/rules:
    + Use DEB_BUILD_OPTIONS to disable tests on powerpc and powerpcspe
      architecture.
      Closes: bug#908961, Thanks to Helmut Grohne.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 07 Oct 2018 10:39:49 +0530

=== debian/control ===
--- 
+++ 
@@ -21,16 +21,14 @@
                bash-completion,
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
-# The libgit2 build depends on at least 1.6.0 for libssh2_userauth_publickey_frommemory
-               libssh2-1-dev (>= 1.6.0),
-# Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#               libgit2-dev (>= 0.27.0),
+               libssh2-1-dev,
+               libgit2-dev (>= 0.27.0),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,
                git <!nocheck>
 Homepage: https://crates.io/
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
 Vcs-Browser: https://salsa.debian.org/rust-team/cargo

=== debian/rules ===
--- 
+++ 
@@ -36,11 +36,11 @@
 # cbmuser requested this and will fix the errors later
 # TODO: once powerpc powerpcspe test failures are fixed drop this
 ifeq ($(DEB_HOST_ARCH), powerpc)
-	DEB_BUILD_PROFILES = nocheck
+	DEB_BUILD_OPTIONS = nocheck
 endif
 
 ifeq ($(DEB_HOST_ARCH), powerpcspe)
-	DEB_BUILD_PROFILES = nocheck
+	DEB_BUILD_OPTIONS = nocheck
 endif
 
 HAVE_BOOTSTRAP_BINARY := $(shell ls -1 debian/bootstrap/$(DEB_HOST_RUST_TYPE)/ 2>/dev/null | wc -l)
@@ -56,9 +56,7 @@
 	ln -sf `which cargo` $(CURDIR)/cargo-stage0
 endif
 	debian/scripts/prune-checksums vendor/backtrace-sys-*/
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-#	debian/scripts/prune-checksums vendor/libgit2-sys-*/
-	cp -a debian/libgit2 vendor/libgit2-sys-0.7.7/
+	debian/scripts/prune-checksums vendor/libgit2-sys-*/
 
 override_dh_auto_build-arch:
 	$(CARGO) build $(CARGOFLAGS)
@@ -103,8 +101,6 @@
 			$(CURDIR)/Makefile \
 			$(CURDIR)/Cargo.lock \
 			$(CURDIR)/cargo-stage0
-# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu yet
-	-$(RM) -rf vendor/libgit2-sys-0.7.7/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.31.0

=== debian/changelog ===
cargo (0.31.0-4) unstable; urgency=medium

  * Don't set RUSTFLAGS in d/rules. (Closes: #914110)

 -- Ximin Luo <infinity0@debian.org>  Mon, 19 Nov 2018 22:50:59 -0800

cargo (0.31.0-3) unstable; urgency=medium

  * Tweak the cargo wrapper script to be more robust.

 -- Ximin Luo <infinity0@debian.org>  Fri, 09 Nov 2018 02:56:54 -0800

cargo (0.31.0-2) unstable; urgency=medium

  * Fix test failure on some architectures due to hash ordering.
  * Bump libgit2 dependency version constraint. (Closes: #899038)

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 11:32:26 -0800

cargo (0.31.0-1) unstable; urgency=medium

  * Don't run tests when doing arch-indep build.
  * Fix package include/exclude tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 10:10:24 -0800

cargo (0.31.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Simplify build scripts and add a Debian wrapper for cargo.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 03:50:33 -0800

cargo (0.30.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 21 Oct 2018 11:59:11 +0530

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

CARGO = $(CURDIR)/debian/bin/cargo

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
export DEB_CARGO_PACKAGE=cargo

# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     CARGO_TEST_FLAGS="package::include -- <args ...>"
# See `cargo test --help` for more options.
CARGO_TEST_FLAGS =

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CURDIR)/vendor

override_dh_auto_build-arch:
	$(CARGO) build

override_dh_auto_build-indep:
	$(CARGO) doc

override_dh_auto_test-arch:
	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)

override_dh_auto_test-indep:
	# no arch-indep tests

override_dh_auto_install:
	$(CARGO) install

override_dh_auto_clean:
	$(CARGO) clean

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

## cargo 0.31.1

=== debian/changelog ===
cargo (0.31.1-1) unstable; urgency=medium

  * Upload 0.31.1 to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:57:21 +0530

cargo (0.31.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * [1.30.0] Backport msys progress bar fix for stable.

  [ Ximin Luo ]
  * debian-cargo-vendor: only store differences between vendor-patches and
    debcargo-conf.

  [ Vasudev Kamath ]
  * Do not delete Cargo.lock in debian-cargo-vendor script as its
    referenced later in make_orig_multi.sh.

 -- Vasudev Kamath <vasudev@copyninja.info>  Tue, 11 Dec 2018 20:53:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -10,10 +9,7 @@
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
-# TODO: related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=839145
-# the non-native lines can be deleted after all versions in unstable are M-A: allowed
-               cargo           (>= 0.17.0) <!pkg.cargo.mkstage0> |
-               cargo:native    (>= 0.17.0) <!pkg.cargo.mkstage0>,
+               cargo:native    (>= 0.17.0),
                rustc:native    (>= 1.16),
                libstd-rust-dev (>= 1.16),
                pkg-config,
@@ -22,7 +18,7 @@
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.27.0),
+               libgit2-dev (>= 0.27),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,

## cargo 0.32.0

=== libnghttp2-sys/nghttp2/CMakeLists.txt ===
# nghttp2 - HTTP/2 C Library
#
# Copyright (c) 2012, 2013, 2014, 2015 Tatsuhiro Tsujikawa
# Copyright (c) 2016 Peter Wu <peter@lekensteyn.nl>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 3.0)
# XXX using 1.8.90 instead of 1.9.0-DEV
project(nghttp2 VERSION 1.33.90)

# See versioning rule:
#  http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
set(LT_CURRENT  31)
set(LT_REVISION 0)
set(LT_AGE      17)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(Version)

math(EXPR LT_SOVERSION "${LT_CURRENT} - ${LT_AGE}")
set(LT_VERSION "${LT_SOVERSION}.${LT_AGE}.${LT_REVISION}")
set(PACKAGE_VERSION     "${PROJECT_VERSION}")
HexVersion(PACKAGE_VERSION_NUM ${PROJECT_VERSION_MAJOR} ${PROJECT_VERSION_MINOR} ${PROJECT_VERSION_PATCH})

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the build type" FORCE)

  # Include "None" as option to disable any additional (optimization) flags,
  # relying on just CMAKE_C_FLAGS and CMAKE_CXX_FLAGS (which are empty by
  # default). These strings are presented in cmake-gui.
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "None" "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

include(GNUInstallDirs)

# For Python bindings and documentation
# (Must be called before PythonLibs for matching versions.)
find_package(PythonInterp)

# Auto-detection of features that can be toggled
find_package(OpenSSL 1.0.1)
find_package(Libev 4.11)
find_package(Libcares 1.7.5)
find_package(ZLIB 1.2.3)
if(OPENSSL_FOUND AND LIBEV_FOUND AND ZLIB_FOUND)
  set(ENABLE_APP_DEFAULT ON)
else()
  set(ENABLE_APP_DEFAULT OFF)
endif()
find_package(Jansson  2.5)
set(ENABLE_HPACK_TOOLS_DEFAULT ${JANSSON_FOUND})
# 2.0.8 is required because we use evconnlistener_set_error_cb()
find_package(Libevent 2.0.8 COMPONENTS libevent openssl)
set(ENABLE_EXAMPLES_DEFAULT ${LIBEVENT_OPENSSL_FOUND})
find_package(Cython)
find_package(PythonLibs)
if(CYTHON_FOUND AND PYTHONLIBS_FOUND)
  set(ENABLE_PYTHON_BINDINGS_DEFAULT ON)
else()
  set(ENABLE_PYTHON_BINDINGS_DEFAULT OFF)
endif()

find_package(LibXml2 2.6.26)
set(WITH_LIBXML2_DEFAULT    ${LIBXML2_FOUND})
find_package(Jemalloc)
set(WITH_JEMALLOC_DEFAULT   ${JEMALLOC_FOUND})
find_package(Spdylay 1.3.2)
set(WITH_SPDYLAY_DEFAULT    ${SPDYLAY_FOUND})

include(CMakeOptions.txt)

if(ENABLE_LIB_ONLY AND (ENABLE_APP OR ENABLE_HPACK_TOOLS OR ENABLE_EXAMPLES OR
  ENABLE_PYTHON_BINDINGS))
  # Remember when disabled options are disabled for later diagnostics.
  set(ENABLE_LIB_ONLY_DISABLED_OTHERS 1)
else()
  set(ENABLE_LIB_ONLY_DISABLED_OTHERS 0)
endif()
if(ENABLE_LIB_ONLY)
  set(ENABLE_APP            OFF)
  set(ENABLE_HPACK_TOOLS    OFF)
  set(ENABLE_EXAMPLES       OFF)
  set(ENABLE_PYTHON_BINDINGS OFF)
endif()

# Do not disable assertions based on CMAKE_BUILD_TYPE.
foreach(_build_type "Release" "MinSizeRel" "RelWithDebInfo")
  foreach(_lang C CXX)
    string(TOUPPER "CMAKE_${_lang}_FLAGS_${_build_type}" _var)
    string(REGEX REPLACE "(^| )[/-]D *NDEBUG($| )" " " ${_var} "${${_var}}")
  endforeach()
endforeach()

if(CMAKE_C_COMPILER_ID MATCHES "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(HINT_NORETURN       "__attribute__((noreturn))")
else()
  set(HINT_NORETURN)
endif()

include(ExtractValidFlags)
foreach(_cxx1x_flag -std=c++11 -std=c++0x)
  extract_valid_cxx_flags(_cxx1x_flag_supported ${_cxx1x_flag})
  if(_cxx1x_flag_supported)
    set(CXX1XCXXFLAGS ${_cxx1x_flag})
    break()
  endif()
endforeach()

include(CMakePushCheckState)
include(CheckCXXSourceCompiles)
cmake_push_check_state()
set(CMAKE_REQUIRED_DEFINITIONS "${CXX1XCXXFLAGS}")
# Check that std::future is available.
check_cxx_source_compiles("
#include <vector>
#include <future>
int main() { std::vector<std::future<int>> v; }" HAVE_STD_FUTURE)
# Check that std::map::emplace is available for g++-4.7.
check_cxx_source_compiles("
#include <map>
int main() { std::map<int, int>().emplace(1, 2); }" HAVE_STD_MAP_EMPLACE)
cmake_pop_check_state()


# Checks for libraries.
# Additional libraries required for programs under src directory.
set(APP_LIBRARIES)

if(ENABLE_PYTHON_BINDINGS)
  if(NOT (CYTHON_FOUND AND PYTHONLIBS_FOUND))
    message(FATAL_ERROR "python bindings were requested "
      "(ENABLE_PYTHON_BINDINGS=1) but dependencies are not met.")
  endif()
  if(NOT PYTHON_VERSION_STRING STREQUAL PYTHONLIBS_VERSION_STRING)
    message(FATAL_ERROR
      "Python executable and library must have the same version!"
      " Found Python ${PYTHON_VERSION_STRING} and"
      " PythonLibs ${PYTHONLIBS_VERSION_STRING}"
    )
  endif()
endif()

set(CMAKE_THREAD_PREFER_PTHREAD 1)
find_package(Threads)
if(CMAKE_USE_PTHREADS_INIT)
  list(APPEND APP_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
endif()
# XXX android and C++, is this still needed in cmake?
# case "$host" in
#   *android*)
#     android_build=yes
#     # android does not need -pthread, but needs followng 3 libs for C++
#     APPLDFLAGS="$APPLDFLAGS -lstdc++ -latomic -lsupc++"

# dl: openssl requires libdl when it is statically linked.
# XXX shouldn't ${CMAKE_DL_LIBS} be appended to OPENSSL_LIBRARIES instead of
# APP_LIBRARIES if it is really specific to OpenSSL?

find_package(CUnit 2.1)
enable_testing()
set(HAVE_CUNIT      ${CUNIT_FOUND})
if(HAVE_CUNIT)
  add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
endif()

# openssl (for src)
set(HAVE_OPENSSL    ${OPENSSL_FOUND})
if(OPENSSL_FOUND)
  set(OPENSSL_INCLUDE_DIRS  ${OPENSSL_INCLUDE_DIR})
else()
  set(OPENSSL_INCLUDE_DIRS  "")
  set(OPENSSL_LIBRARIES     "")
endif()
# libev (for src)
set(HAVE_LIBEV      ${LIBEV_FOUND})
set(HAVE_ZLIB       ${ZLIB_FOUND})
set(HAVE_LIBEVENT_OPENSSL ${LIBEVENT_FOUND})
if(LIBEVENT_FOUND)
  # Must both link the core and openssl libraries.
  set(LIBEVENT_OPENSSL_LIBRARIES ${LIBEVENT_LIBRARIES})
endif()
# libc-ares (for src)
set(HAVE_LIBCARES   ${LIBCARES_FOUND})
if(LIBCARES_FOUND)
  set(LIBCARES_INCLUDE_DIRS ${LIBCARES_INCLUDE_DIR})
else()
  set(LIBCARES_INCLUDE_DIRS "")
  set(LIBCARES_LIBRARIES    "")
endif()
# jansson (for src/nghttp, src/deflatehd and src/inflatehd)
set(HAVE_JANSSON    ${JANSSON_FOUND})
# libxml2 (for src/nghttp)
set(HAVE_LIBXML2    ${LIBXML2_FOUND})
if(LIBXML2_FOUND)
  set(LIBXML2_INCLUDE_DIRS  ${LIBXML2_INCLUDE_DIR})
else()
  set(LIBXML2_INCLUDE_DIRS  "")
  set(LIBXML2_LIBRARIES     "")
endif()
# jemalloc
set(HAVE_JEMALLOC   ${JEMALLOC_FOUND})
# spdylay (for src/nghttpx and src/h2load)
set(HAVE_SPDYLAY    ${SPDYLAY_FOUND})

if(ENABLE_ASIO_LIB)
  find_package(Boost 1.54.0 REQUIRED system thread)
endif()

# The nghttp, nghttpd and nghttpx under src depend on zlib, OpenSSL and libev
if(ENABLE_APP AND NOT (ZLIB_FOUND AND OPENSSL_FOUND AND LIBEV_FOUND))
  message(FATAL_ERROR "Applications were requested (ENABLE_APP=1) but dependencies are not met.")
endif()

# HPACK tools requires jansson
if(ENABLE_HPACK_TOOLS AND NOT HAVE_JANSSON)
  message(FATAL_ERROR "HPACK tools were requested (ENABLE_HPACK_TOOLS=1) but dependencies are not met.")
endif()

# C++ library libnghttp2_asio
if(ENABLE_EXAMPLES AND NOT (OPENSSL_FOUND AND LIBEVENT_OPENSSL_FOUND))
  message(FATAL_ERROR "examples were requested (ENABLE_EXAMPLES=1) but dependencies are not met.")
endif()

# third-party http-parser only be built when needed
if(ENABLE_EXAMPLES OR ENABLE_APP OR ENABLE_HPACK_TOOLS OR ENABLE_ASIO_LIB)
  set(ENABLE_THIRD_PARTY 1)
  # mruby (for src/nghttpx)
  set(HAVE_MRUBY      ${WITH_MRUBY})
  set(HAVE_NEVERBLEED ${WITH_NEVERBLEED})
else()
  set(HAVE_MRUBY 0)
  set(HAVE_NEVERBLEED 0)
endif()

# Checks for header files.
include(CheckIncludeFile)
check_include_file("arpa/inet.h"    HAVE_ARPA_INET_H)
check_include_file("fcntl.h"        HAVE_FCNTL_H)
check_include_file("inttypes.h"     HAVE_INTTYPES_H)
check_include_file("limits.h"       HAVE_LIMITS_H)
check_include_file("netdb.h"        HAVE_NETDB_H)
check_include_file("netinet/in.h"   HAVE_NETINET_IN_H)
check_include_file("pwd.h"          HAVE_PWD_H)
check_include_file("sys/socket.h"   HAVE_SYS_SOCKET_H)
check_include_file("sys/time.h"     HAVE_SYS_TIME_H)
check_include_file("syslog.h"       HAVE_SYSLOG_H)
check_include_file("time.h"         HAVE_TIME_H)
check_include_file("unistd.h"       HAVE_UNISTD_H)

include(CheckTypeSize)
# Checks for typedefs, structures, and compiler characteristics.
# AC_TYPE_SIZE_T
check_type_size("ssize_t" SIZEOF_SSIZE_T)
if(SIZEOF_SSIZE_T STREQUAL "")
  # ssize_t is a signed type in POSIX storing at least -1.
  # Set it to "int" to match the behavior of AC_TYPE_SSIZE_T (autotools).
  set(ssize_t int)
endif()
# AC_TYPE_UINT8_T
# AC_TYPE_UINT16_T
# AC_TYPE_UINT32_T
# AC_TYPE_UINT64_T
# AC_TYPE_INT8_T
# AC_TYPE_INT16_T
# AC_TYPE_INT32_T
# AC_TYPE_INT64_T
# AC_TYPE_OFF_T
# AC_TYPE_PID_T
# AC_TYPE_UID_T
# XXX To support inline for crappy compilers, see https://cmake.org/Wiki/CMakeTestInline
# AC_C_INLINE
# XXX is AC_SYS_LARGEFILE still needed for modern systems?
# add_definitions(-D_FILE_OFFSET_BITS=64)

include(CheckStructHasMember)
check_struct_has_member("struct tm" tm_gmtoff time.h HAVE_STRUCT_TM_TM_GMTOFF)

# Check size of pointer to decide we need 8 bytes alignment adjustment.
check_type_size("int *"   SIZEOF_INT_P)
check_type_size("time_t"  SIZEOF_TIME_T)

# Checks for library functions.
include(CheckFunctionExists)
check_function_exists(_Exit     HAVE__EXIT)
check_function_exists(accept4   HAVE_ACCEPT4)
check_function_exists(mkostemp  HAVE_MKOSTEMP)

include(CheckSymbolExists)
# XXX does this correctly detect initgroups (un)availability on cygwin?
check_symbol_exists(initgroups grp.h HAVE_DECL_INITGROUPS)
if(NOT HAVE_DECL_INITGROUPS AND HAVE_UNISTD_H)
  # FreeBSD declares initgroups() in unistd.h
  check_symbol_exists(initgroups unistd.h HAVE_DECL_INITGROUPS2)
  if(HAVE_DECL_INITGROUPS2)
    set(HAVE_DECL_INITGROUPS 1)
  endif()
endif()

set(WARNCFLAGS)
set(WARNCXXFLAGS)
if(CMAKE_C_COMPILER_ID MATCHES "MSVC")
  if(ENABLE_WERROR)
    set(WARNCFLAGS    /WX)
    set(WARNCXXFLAGS  /WX)
  endif()
else()
  if(ENABLE_WERROR)
    extract_valid_c_flags(WARNCFLAGS    -Werror)
    extract_valid_c_flags(WARNCXXFLAGS  -Werror)
  endif()

  # For C compiler
  extract_valid_c_flags(WARNCFLAGS
    -Wall
    -Wextra
    -Wmissing-prototypes
    -Wstrict-prototypes
    -Wmissing-declarations
    -Wpointer-arith
    -Wdeclaration-after-statement
    -Wformat-security
    -Wwrite-strings
    -Wshadow
    -Winline
    -Wnested-externs
    -Wfloat-equal
    -Wundef
    -Wendif-labels
    -Wempty-body
    -Wcast-align
    -Wclobbered
    -Wvla
    -Wpragmas
    -Wunreachable-code
    -Waddress
    -Wattributes
    -Wdiv-by-zero
    -Wshorten-64-to-32

    -Wconversion
    -Wextended-offsetof
    -Wformat-nonliteral
    -Wlanguage-extension-token
    -Wmissing-field-initializers
    -Wmissing-noreturn
    -Wmissing-variable-declarations
    # Not used because we cannot change public structs
    # -Wpadded
    -Wsign-conversion

=== libnghttp2-sys/nghttp2/lib/CMakeLists.txt ===
add_subdirectory(includes)

include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}/includes"
  "${CMAKE_CURRENT_BINARY_DIR}/includes"
)

add_definitions(-DBUILDING_NGHTTP2)

set(NGHTTP2_SOURCES
  nghttp2_pq.c nghttp2_map.c nghttp2_queue.c
  nghttp2_frame.c
  nghttp2_buf.c
  nghttp2_stream.c nghttp2_outbound_item.c
  nghttp2_session.c nghttp2_submit.c
  nghttp2_helper.c
  nghttp2_npn.c
  nghttp2_hd.c nghttp2_hd_huffman.c nghttp2_hd_huffman_data.c
  nghttp2_version.c
  nghttp2_priority_spec.c
  nghttp2_option.c
  nghttp2_callbacks.c
  nghttp2_mem.c
  nghttp2_http.c
  nghttp2_rcbuf.c
  nghttp2_debug.c
)

set(NGHTTP2_RES "")

if(WIN32)
  configure_file(
    version.rc.in
    ${CMAKE_CURRENT_BINARY_DIR}/version.rc
    @ONLY)

  set(NGHTTP2_RES ${CMAKE_CURRENT_BINARY_DIR}/version.rc)
endif()

# Public shared library
add_library(nghttp2 SHARED ${NGHTTP2_SOURCES} ${NGHTTP2_RES})
set_target_properties(nghttp2 PROPERTIES
  COMPILE_FLAGS "${WARNCFLAGS}"
  VERSION ${LT_VERSION} SOVERSION ${LT_SOVERSION}
  C_VISIBILITY_PRESET hidden
)
target_include_directories(nghttp2 INTERFACE
    "${CMAKE_CURRENT_BINARY_DIR}/includes"
    "${CMAKE_CURRENT_SOURCE_DIR}/includes"
    )

if(HAVE_CUNIT OR ENABLE_STATIC_LIB)
  # Static library (for unittests because of symbol visibility)
  add_library(nghttp2_static STATIC ${NGHTTP2_SOURCES})
  set_target_properties(nghttp2_static PROPERTIES
    COMPILE_FLAGS "${WARNCFLAGS}"
    VERSION ${LT_VERSION} SOVERSION ${LT_SOVERSION}
    ARCHIVE_OUTPUT_NAME nghttp2
  )
  target_compile_definitions(nghttp2_static PUBLIC "-DNGHTTP2_STATICLIB")
  if(ENABLE_STATIC_LIB)
    install(TARGETS nghttp2_static
      DESTINATION "${CMAKE_INSTALL_LIBDIR}")
  endif()
endif()

install(TARGETS nghttp2
  DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnghttp2.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== debian/changelog ===
cargo (0.32.0-1~exp1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to Bionic.
  * Embed libgit2 0.27.0 to avoid a dependency on a version which is newer
    than that found in bionic
    - add debian/libgit2
    - add debian/patches/do-not-use-system-libgit2.patch
    - update debian/control
    - update debian/rules
    - update debian/copyright
    - update debian/patches/series
    - update debian/README.source
  * Hack the libgit2-sys build process to link the bundled libgit2
    against the system's libhttp_parser.
    - add debian/patches/use-system-libhttp-parser.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Jan 2019 15:21:31 +1300

cargo (0.32.0-1~exp1ubuntu1) disco; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 23 Jan 2019 12:45:10 +1300

cargo (0.32.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now download crates in parallel using HTTP/2.
  * You can now rename packages in your Cargo.toml We have a guide on how
    to use the package key in your dependencies.

  [ Vasudev Kamath ]
  * Fix the scripts related to tarball creation
  * Update unsuspicious file list for 0.32.0
  * Update copyright information for 0.32.0.
  * Add lintian-override for source-is-missing, for javascript file from
    vendored crate documentation. File is not really shipped.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 12 Dec 2018 21:47:42 +0530

cargo (0.31.0-3ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Nov 2018 17:42:39 +1300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cargo
 Section: devel
-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -18,7 +19,8 @@
                python3:native,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libssh2-1-dev,
-               libgit2-dev (>= 0.27),
+# Avoid a dependency on a libgit version that isn't in Ubuntu 18.04 and older
+#              libgit2-dev (>= 0.27),
                libhttp-parser-dev,
                libssl-dev,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
+	cp -a debian/libgit2 vendor/libgit2-sys/
 
 override_dh_auto_build-arch:
 	$(CARGO) build
@@ -32,8 +33,19 @@
 override_dh_auto_build-indep:
 	$(CARGO) doc
 
+RUN_TESTS = \
+	if $(1); then \
+	  : ; \
+	elif [ $(DEB_HOST_ARCH) != "s390x" ]; then \
+	  false; \
+	else \
+	  echo "======================================================"; \
+	  echo "WARNING: Ignoring test failures in the cargo testsuite"; \
+	  echo "======================================================"; \
+	fi
+
 override_dh_auto_test-arch:
-	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)
+	$(call RUN_TESTS,CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS))
 
 override_dh_auto_test-indep:
 	# no arch-indep tests
@@ -43,6 +55,8 @@
 
 override_dh_auto_clean:
 	$(CARGO) clean
+# XXX: Avoid a dependency on a libgit version that isn't in Ubuntu 18.04 and older
+	-$(RM) -rf vendor/libgit2-sys/libgit2
 
 override_dh_clean:
 	# Upstream contains a lot of these

## cargo 0.33.0

=== debian/changelog ===
cargo (0.33.0-3) unstable; urgency=medium

  * Drop patch to capture rustc error output, it is unnecessary.
  * Add upstream patch to fix typenum bug.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 20:22:22 -0700

cargo (0.33.0-2) unstable; urgency=medium

  * Add patch to capture rustc error output if extra-verbose.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 12:14:38 -0700

cargo (0.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Feb 2019 20:52:47 -0800

cargo (0.32.0-2~exp1) experimental; urgency=medium

  * Drop patch 2007, for disabling incremental build on sparc64.
    Closes: bug#917048, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Feb 2019 13:16:13 +0530

cargo (0.32.0-1) unstable; urgency=medium

  * debian-cargo-wrapper: Support DEB_CARGO_INSTALL_PREFIX for installing into
    somewhere other than /usr, e.g. / or /usr/lib/cargo.
  * Move dev scripts from /usr/share/cargo into /usr/share/cargo/scripts.
  * Increase yet another timeout duration for slower architectures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Jan 2019 00:29:51 -0800

cargo (0.32.0-1~exp3) experimental; urgency=medium

  [ Matt Kraai ]
  * Rename bash completion script so that it's used.

  [ Ximin Luo ]
  * Further increase a timeout duration for mips.
  * debian-cargo-wrapper: add --link-to-system option

 -- Ximin Luo <infinity0@debian.org>  Wed, 23 Jan 2019 19:44:05 -0800

cargo (0.32.0-1~exp2) experimental; urgency=medium

  * Try to deal with the various test failures as suggested by upstream.

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 20:08:29 -0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

CARGO = $(CURDIR)/debian/bin/cargo

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
export DEB_CARGO_PACKAGE=cargo
export RUSTFLAGS += --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)

# don't shrink, this can take ages
# see https://github.com/rust-lang/cargo/issues/6490 for details
export PROPTEST_MAX_SHRINK_ITERS = 0

# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     CARGO_TEST_FLAGS="package::include -- <args ...>"
# See `cargo test --help` for more options.
CARGO_TEST_FLAGS =

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	$(CARGO) prepare-debian $(CURDIR)/vendor

override_dh_auto_build-arch:
	$(CARGO) build

override_dh_auto_build-indep:
	$(CARGO) doc

override_dh_auto_test-arch:
	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)

override_dh_auto_test-indep:
	# no arch-indep tests

override_dh_auto_install:
	$(CARGO) install

override_dh_auto_clean:
	$(CARGO) clean

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

## cargo 0.34.0

=== debian/changelog ===
cargo (0.34.0-0ubuntu1) eoan; urgency=medium

  * New upstream version.
    - Refresh patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 May 2019 11:14:06 +1200

cargo (0.33.0-1ubuntu2) disco; urgency=medium

  * Fix a rounding issue in vendor/typenum.
    - add debian/patches/typenum-rounding.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Mar 2019 10:00:18 +1300

cargo (0.33.0-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use the bootstrap.py script for bootstrapping as it no longer
      works.
      - remove debian/bootstrap.py
      - update debian/make_orig_multi.sh
    - Disable fetch tests on non x86/x86-64 architectures, as those hit an
      unreachable!() in test code. Disable the Debian patch that disables these
      tests on every architecture
      - add debian/patches/disable-fetch-tests-on-non-x86.patch
      - update debian/patches/series
    - Disable test tool_paths::custom_runner which fails every now and again
      because of a libstd bug (https://github.com/rust-lang/rust/issues/55242)
      - add debian/patches/disable-tool_paths-custom_runner.patch
      - update debian/patches/series
  * Dropped change:
    - Ignore test failures on s390x. There's no Debian build yet on this
      arch and there's nothing in the archive that requires cargo on s390x at
      this time
      - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Feb 2019 10:49:58 +1300
